#
# spec file for package libqt5-qtwebkit
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%bcond_without avsupport
%define _cxx g++
%define _cc gcc

%define qt5_snapshot 0

%define libname libQt5WebKitWidgets5

%define base_name qtwebkit
%define real_version 5.212
%define so_version 5.212
%define full_version 5.212.0
%define required_qt5 5.2
%define prerel_version alpha3
%define tar_version %{base_name}-%{full_version}-%{prerel_version}
%define make_jobs /usr/bin/make -j4 VERBOSE=1
Name:           libqt5-qtwebkit
Version:        5.212~%{prerel_version}
Release:        bp153.1.27
Summary:        Qt 5 WebKit Library
License:        LGPL-2.1-or-later
Group:          Development/Libraries/X11
Url:            https://qtwebkit.github.io/
Source:         https://github.com/qtwebkit/qtwebkit/releases/download/%{tar_version}/%{tar_version}.tar.xz
Source1:        baselibs.conf
Source99:       libqt5-qtwebkit-rpmlintrc
# openSUSE-specific patches
# PATCH-FIX-OPENSUSE Enable X11 target build always as we didn't ship Xcb Plugin cmake file - mlin@suse.com
Patch0:         enable_x11_target_always.patch
# PATCH-FIX-OPENSUSE
Patch1:         tell-the-truth-about-private-api.patch
# PATCH-FIX-UPSTREAM https://bugs.webkit.org/show_bug.cgi?id=141288
Patch2:         webkit-bwo141288.patch
# PATCH-FIX-UPSTREAM https://bugs.webkit.org/show_bug.cgi?id=202600
Patch3:         icu-build-fix.patch

%if %{with avsupport}
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
%define _avSupport ON
%else
%define _avSupport OFF
%endif
BuildRequires:  libQt5Core-private-headers-devel >= %{required_qt5}
BuildRequires:  libQt5Gui-private-headers-devel >= %{required_qt5}
BuildRequires:  libQt5Widgets-private-headers-devel >= %{required_qt5}
BuildRequires:  libqt5-qtdeclarative-private-headers-devel >= %{required_qt5}
BuildRequires:  libqt5-qtlocation-private-headers-devel >= %{required_qt5}
BuildRequires:  pkgconfig(Qt5Core) >= %{required_qt5}
BuildRequires:  pkgconfig(Qt5Location) >= %{required_qt5}
BuildRequires:  pkgconfig(Qt5Network) >= %{required_qt5}
BuildRequires:  pkgconfig(Qt5OpenGL) >= %{required_qt5}
BuildRequires:  pkgconfig(Qt5PrintSupport) >= %{required_qt5}
BuildRequires:  pkgconfig(Qt5Quick) >= %{required_qt5}
BuildRequires:  pkgconfig(Qt5Sensors) >= %{required_qt5}
BuildRequires:  pkgconfig(Qt5Test) >= %{required_qt5}
BuildRequires:  pkgconfig(Qt5WebChannel) >= %{required_qt5}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{required_qt5}
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gperf
BuildRequires:  libicu-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libxslt-devel
BuildRequires:  python-xml
BuildRequires:  ruby
BuildRequires:  hyphen-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(zlib)
%if %qt5_snapshot
# to create the forwarding headers
BuildRequires:  perl
%endif
BuildRequires:  procps
BuildRequires:  xz
BuildRequires:  pkgconfig(libwebp)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Qt WebKit module provides the WebView API, which allows QML
applications to render regions of dynamic web content. A WebView
component may share the screen with other QML components or encompass
the full screen as specified within the QML application.

%prep
%setup -q -n %{tar_version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%package -n %libname
Summary:        Qt 5 WebKit Widget library
Group:          Development/Libraries/X11
Requires:       libQt5WebKit5 = %version

%description -n %libname
The Qt WebKit module provides the WebView API, which allows QML
applications to render regions of dynamic web content. A WebView
component may share the screen with other QML components or encompass
the full screen as specified within the QML application.

%package -n libQt5WebKit5
Summary:        Qt5 WebKit Library
Group:          Development/Libraries/X11

%description -n libQt5WebKit5
You need this package if you want to compile programs with qtwebkit.

%package -n libQt5WebKit5-imports
Summary:        QML imports for the Qt5 WebKit library
Group:          Development/Libraries/X11
Supplements:    packageand(libQt5WebKit5:libQtQuick5)
# imports split with 5.4.1
Conflicts:      libQt5WebKit5 < 5.4.1
Requires:       libQt5WebKit5 = %version

%description -n libQt5WebKit5-imports
You need this package if you want to compile programs with qtwebkit.

%package -n libQt5WebKitWidgets-devel
Summary:        Development files for the Qt5 WebKit Widgets library
Group:          Development/Libraries/X11
Requires:       %libname = %{version}
Requires:       libQt5WebKit5-devel = %{version}
Requires:       libqt5-qtdeclarative-devel
Requires:       libqt5-qtsensors-devel

%description -n libQt5WebKitWidgets-devel
You need this package if you want to compile programs with qtwebkit.

%package -n libQt5WebKit5-devel
Summary:        Development files for the Qt5 WebKit library
Group:          Development/Libraries/X11
Requires:       libQt5WebKit5 = %version
Requires:       pkgconfig(Qt5Core)
Requires:       pkgconfig(Qt5Gui)
Requires:       pkgconfig(Qt5Network)
Requires:       pkgconfig(Qt5Qml)
Requires:       pkgconfig(Qt5Quick)
Requires:       pkgconfig(Qt5Sensors)

%description -n libQt5WebKit5-devel
You need this package if you want to compile programs with qtwebkit.

%package -n libQt5WebKitWidgets-private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 WebKit Widgets library
Group:          Development/Libraries/C and C++
BuildArch:      noarch
Requires:       libQt5WebKit-private-headers-devel = %{version}
Requires:       libQt5WebKitWidgets-devel = %{version}

%description -n libQt5WebKitWidgets-private-headers-devel
This package provides private headers of libqt5-qtwebkit that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package -n libQt5WebKit-private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 WebKit library
Group:          Development/Libraries/C and C++
BuildArch:      noarch
Requires:       libQt5WebKit5-devel = %{version}

%description -n libQt5WebKit-private-headers-devel
This package provides private headers of libqt5-qtwebkit that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package devel
Summary:        Development files for the Qt5 WebKit library
Group:          Development/Libraries/X11
Requires:       libQt5WebKit5-devel = %{version}
Requires:       libQt5WebKitWidgets-devel = %{version}

%description devel
You need this package if you want to compile programs with qtwebkit.
This package pulls in development files for both libQt5WebKit and
libQt5WebKitWidgets libraries.

%package private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 WebKit library
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5WebKit-private-headers-devel = %{version}
Requires:       libQt5WebKitWidgets-private-headers-devel = %{version}

%description private-headers-devel
You need this package if you want to compile programs with qtwebkit.
This package pulls in private headers for both libQt5WebKit and
libQt5WebKitWidgets libraries.


%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%post -n libQt5WebKit5 -p /sbin/ldconfig

%postun -n libQt5WebKit5 -p /sbin/ldconfig

%build
%define _lto_cflags %{nil}
%if %qt5_snapshot
# force the configure script to generate the forwarding headers (it checks whether .git directory exists)
mkdir .git
%endif
%global optflags %(echo %{optflags} -fpermissive -Wl,--no-keep-memory -Wl,--reduce-memory-overheads | sed 's/-g /-g1 /')
%cmake -DPORT=Qt \
       -DCMAKE_C_COMPILER=%{_cc} \
       -DCMAKE_CXX_COMPILER=%{_cxx} \
       -DCMAKE_BUILD_TYPE=Release \
       -DENABLE_VIDEO=%{_avSupport} \
       -DENABLE_WEB_AUDIO=%{_avSupport} \
%ifarch ppc ppc64 ppc64le s390 s390x
       -DENABLE_JIT=OFF \
       -DUSE_SYSTEM_MALLOC=ON \
%endif
       -DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now -pthread" \
       -DCMAKE_MODULE_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now -pthread" \
       -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now -pthread"

%make_jobs

%install
%cmake_install
find %{buildroot}/%{_libqt5_libdir} -type f -name '*la' -print -exec perl -pi -e 's,-L%{_builddir}/\S+,,g' {} +

# kill .la files
rm -f %{buildroot}%{_libqt5_libdir}/lib*.la

%files -n %libname
%defattr(-,root,root,755)
%doc LICENSE.*
%dir %{_libqt5_libexecdir}
%{_libqt5_libexecdir}/QtWebProcess
%{_libqt5_libdir}/libQt5WebKitWidgets.so.*

%files -n libQt5WebKit5
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_libdir}/libQt5WebKit.so.*
%{_libqt5_libexecdir}/QtWebNetworkProcess
%{_libqt5_libexecdir}/QtWebPluginProcess
%{_libqt5_libexecdir}/QtWebStorageProcess

%files -n libQt5WebKit5-imports
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_archdatadir}/qml/QtWebKit

%files -n libQt5WebKitWidgets-private-headers-devel
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_includedir}/QtWebKitWidgets/%{full_version}

%files -n libQt5WebKit-private-headers-devel
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_includedir}/QtWebKit/%{full_version}

%files -n libQt5WebKit5-devel
%defattr(-,root,root,755)
%doc LICENSE.*
%exclude %{_libqt5_includedir}/QtWebKit/%{full_version}
%{_libqt5_includedir}/QtWebKit
%{_libqt5_libdir}/cmake/Qt5WebKit
%{_libqt5_libdir}/libQt5WebKit.so
%{_libqt5_libdir}/pkgconfig/Qt5WebKit.pc
%{_libqt5_archdatadir}/mkspecs/modules/qt_lib_webkit.pri
%{_libqt5_archdatadir}/mkspecs/modules/qt_lib_webkit_private.pri

%files -n libQt5WebKitWidgets-devel
%defattr(-,root,root,755)
%doc LICENSE.*
%exclude %{_libqt5_includedir}/QtWebKitWidgets/%{full_version}
%{_libqt5_includedir}/QtWebKitWidgets
%{_libqt5_libdir}/cmake/Qt5WebKitWidgets
%{_libqt5_libdir}/libQt5WebKitWidgets.so
%{_libqt5_libdir}/pkgconfig/Qt5WebKitWidgets.pc
%{_libqt5_archdatadir}/mkspecs/modules/qt_lib_webkitwidgets.pri
%{_libqt5_archdatadir}/mkspecs/modules/qt_lib_webkitwidgets_private.pri

%changelog
* Wed Nov 13 2019 Michael Gorse <mgorse@suse.com>
- Add icu-build-fix.patch: fix the build with libicu 65.1.
* Fri Sep 13 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Add patch to fix build on armv6:
  * webkit-bwo141288.patch
* Thu Jul  4 2019 wbauer@tmo.at
- Don't modify the pkgconfig files, they have been fixed upstream
  and the sed commands actually break them now
* Mon Jul  1 2019 Markus S <kamikazow@opensuse.org>
- Fix for pkgconfig error
- Drop Leap 42.x support
* Sat Jun 29 2019 Markus S <kamikazow@opensuse.org>
- New upstream release
- Drop patches
  * fix-build-with-cmake-3.10.diff
  * fix-gles-detection.patch
  * fix-nullptr-crash-in-QWebPage-selectedHtml-when-selectedRange.patch
  * fix-nullTerminatedWCharToString-loses-last-character.patch
  * fix_armv6.patch
  * qt5webkit-symver.patch
  * run-adjustViewSize-after-relayout.patch
  * Trigger-layout-after-resizing-the-FrameView.patch
  * webkit-fix-WTF-StringImpl-copyChars-segfaults-with-gcc7.patch
* Wed May 15 2019 Martin Liška <mliska@suse.cz>
- Disable LTO (boo#1135212).
* Mon Dec  3 2018 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Add patch to fix armv6 build:
  * fix_armv6.patch
* Sun Jun 17 2018 mlin@suse.com
- Add -fpermissive to workaround build error with gcc8
* Fri Mar  9 2018 stefan.bruens@rwth-aachen.de
- Set minimum amount of RAM in _constraints to 8 GiB for aarch64,
  use the default value of 6 GiB for armv7/armv6
* Thu Mar  1 2018 wbauer@tmo.at
- Add upstream patches to fix broken layout of plain-text mails in
  Trojita (boo#1083451):
  * Trigger-layout-after-resizing-the-FrameView.patch
  * run-adjustViewSize-after-relayout.patch
* Fri Feb 23 2018 mlin@suse.com
- Re-ordering patches
- Add fix-nullptr-crash-in-QWebPage-selectedHtml-when-selectedRange.patch
  * Fix crash in QWebPage::selectedHtml() when selectedRange is nullptr
- Add fix-nullTerminatedWCharToString-loses-last-character.patch
  * Fix nullTerminatedWCharToString loses last character of input string
* Thu Feb 15 2018 fabian@ritter-vogt.de
- Use gcc-7 on 42.3 to fix mismatch with the optflags
* Wed Dec 20 2017 mlin@suse.com
- Add patch to fix build failure with CMake 3.10
  * fix-build-with-cmake-3.10.diff
- Use Gstreamer for audio/video support optional
* Tue Dec 12 2017 fvogt@suse.com
- Add patch to keep the same private symbol version scheme:
  * tell-the-truth-about-private-api.patch
- Add patch to fix detection of OpenGL ES 2.0 with Qt >= 5.8:
  * fix-gles-detection.patch
- Add patch to enable symbol versioning for libQt5WebKit.so.5 as well:
  * qt5webkit-symver.patch
* Tue Dec 12 2017 mlin@suse.com
- Ported to Konstantin Tokarev's <annulen@yandex.ru> QtWebKit fork
  version 5.212.0 Alpha 2 (FATE#323918, bsc#1050469)
  * Based on WebKitGTK 2.12 (uses CMake instead of QMake)
  * Newer WebKit base
  * Improved support for web standards
  * Many bugfixes and patched security holes inherited from upstream WebKit
  * For more details please see:
    https://github.com/annulen/webkit/releases/tag/qtwebkit-5.212.0-alpha
    and
    https://github.com/annulen/webkit/releases/tag/qtwebkit-5.212.0-alpha2
- Drop unneeded patches
  * 03_hide_std_symbols.diff
  * 04_enable_debug_information.diff
  * 05-fix-linker-errors.diff
  * 7dac8c2d5f743563df76c2347c6ad394b6779ffc.patch
  * fix-build-icu59.patch
  * no-Werror-rpath.diff
  * reduce-link-optimization.diff
  * workaround-gcc7-crash.patch
- Set minimum amount of RAM in _constraints to 10 GiB for x86_64
- Add patch to always enable X11 target build:
  * enable_x11_target_always.patch
- Add patch to work around gcc7-related crash:
  * webkit-fix-WTF-StringImpl-copyChars-segfaults-with-gcc7.patch
- Corrected License tag. QtWebKit is just LGPL-2.1+ and does not follow Qt's
  commercial-inspired licensing scheme of (L)GPLv3-only.
* Fri Dec  8 2017 christophe@krop.fr
- Update the license tag (boo#967696)
* Wed Nov 15 2017 fabian@ritter-vogt.de
- Update to 5.10 Beta 4
- Contains bugfixes
* Mon Oct  9 2017 fabian@ritter-vogt.de
- Update to 5.10 Beta 1
- For more information visit:
    https://blog.qt.io/blog/2017/10/09/qt-5-10-beta-released/
* Wed Jul  5 2017 fabian@ritter-vogt.de
- Add patch to workaround crash if compiled with GCC7:
  * workaround-gcc7-crash.patch
- Set minimum amount of RAM in _constraints to 8 GiB
* Thu Jun  1 2017 jengelh@inai.de
- Update descriptions.
- Use find -exec option with "+" strategy.
* Wed May 31 2017 fabian@ritter-vogt.de
- Update to 5.9.0 final
* Wed May 24 2017 fabian@ritter-vogt.de
- Update to 5.9.0 RC:
  * For more details please see:
    http://lists.qt-project.org/pipermail/announce/2017-May/000115.html
    and https://wiki.qt.io/New_Features_in_Qt_5.9
* Wed May 10 2017 fabian@ritter-vogt.de
- Add patch to fix build with ICU4C >= 59:
  * fix-build-icu59.patch
* Wed Dec 14 2016 hrvoje.senjan@gmail.com
- Update to 5.7.1
  * For more details please see:
    https://blog.qt.io/blog/2016/12/14/qt-5-7-1-released/
    and https://www.qt.io/qt5-7/
* Sat Sep 24 2016 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * For more details please see:
    https://www.qt.io/qt5-7/
* Wed Jun  8 2016 hrvoje.senjan@gmail.com
- Update to 5.6.1
  * For more details please see:
    http://blog.qt.io/blog/2016/06/08/qt-5-6-1-released/
* Fri Mar 18 2016 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    http://blog.qt.io/blog/2016/03/16/qt-5-6-released/
    and https://wiki.qt.io/New_Features_in_Qt_5.6
- Swap link-qtcore.patch with 7dac8c2d5f743563df76c2347c6ad394b6779ffc.patch
- Added 05-fix-linker-errors.diff: Explicitly link pthread, before
  it was pulled in via external deps
* Wed Oct 21 2015 normand@linux.vnet.ibm.com
- _constraints adding ppc64le constraint of memory and disk space
* Fri Oct 16 2015 hrvoje.senjan@gmail.com
- Update to 5.5.1
  * For more details please see:
    http://blog.qt.io/blog/2015/10/15/qt-5-5-1-released/
* Sun Aug 16 2015 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * For more details please see:
    http://blog.qt.io/blog/2015/07/01/qt-5-5-released/
    and https://wiki.qt.io/New_Features_in_Qt_5.5
- Added link-qtcore.patch
* Wed Jun  3 2015 hrvoje.senjan@gmail.com
- Update to 5.4.2
  * Bugfix release, for more details please see:
    http://blog.qt.io/blog/2015/06/02/qt-5-4-2-released/
- Drop fix-building-with-glib-2.43+.patch and fix-g++5.0-build.patch,
  merged upstream
* Tue Mar 24 2015 hrvoje.senjan@gmail.com
- Add patches from upstream:
  fix-building-with-glib-2.43+.patch (QTBUG-44714) and
  fix-g++5.0-build.patch (QTBUG-44829)
* Tue Mar 17 2015 jslaby@suse.com
- kill QMAKE_PRL_BUILD_DIR from prl
* Tue Feb 24 2015 hrvoje.senjan@gmail.com
- Update to 5.4.1
  * For more details please see:
    http://blog.qt.io/blog/2015/02/24/qt-5-4-1-released/
- Add minimal requires on other Qt5 libraries, as well the one from
  this source package
- Added libqt5-qtwebkit-rpmlintrc due to shlib-fixed-dependency
- Split the imports into separate package
* Fri Jan 16 2015 hrvoje.senjan@gmail.com
- Reenable Qt5WebChannel integration
* Fri Dec 19 2014 hrvoje.senjan@gmail.com
- Comment out Qt5WebChannel BuildRequires for now
* Wed Dec 10 2014 hrvoje.senjan@gmail.com
- Update to 5.4 Final
  * For more details please see:
    http://blog.qt.digia.com/blog/2014/12/10/qt-5-4-released/
    and http://qt-project.org/wiki/New-Features-in-Qt-5.4
* Thu Nov 27 2014 hrvoje.senjan@gmail.com
- Update to 5.4 RC
  * For more details please see:
    http://blog.qt.digia.com/blog/2014/11/27/qt-5-4-release-candidate-available/
    and http://qt-project.org/wiki/New-Features-in-Qt-5.4
- Drop ppc64le-support.patch, merged upstream
- Add pkgconfig(Qt5Location) and pkgconfig(Qt5WebChannel) BuildRequires
- Explicitly pass production_build to qmake
- Install licenses
* Thu Oct 23 2014 dmueller@suse.com
- reduce memory requirements for arm - there is no 7GB of RAM
* Wed Sep 24 2014 ro@suse.de
- use -g1 on s390/s390x as well as on the other architectures
* Tue Sep 16 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2 final
  * No changes since previous snapshot
  * Use official tars
* Thu Sep  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2~git20140904 (rd8bc98b):
  * Tip of the bugfix 5.3.2 branch:
  * Fix key identifier for comma key ("Separator")
  * Fix fallback conversion of recognized objects
  * Fix regression in QQuickWebView's transparent backgound
  * Fix crash in DeviceOrientationController when
    !HAVE(QTSENSORS)
  * Fix case in documentation of qobjectbridge bindings
  * Do not add QStyle padding on top of default padding
  * [WK2] Update text upon item selection for menu lists
  * Do not use title as the primary text of dragged or
    copied links
  * Show placeholder text when focused
  * Do not override padding in textfields
  * Avoid crash when hidePopup is called multiple times
  * Added support for appending an escaped SegmentedString to
    another.
  * QWebPage crashes on drag without QWidget view
  * Crash during exception unwinding
  * Bad cast from CSSInitialValue to CSSValueList
  * use after free in WebCore::DocumentOrderedMap::remove /
    WebCore::TreeScope::removeElementById
  * define DOUBLE_CONVERSION_CORRECT_DOUBLE_OPERATIONS on HPPA
  * Actually load icc.prf for the Intel compiler
  * Prevent interpreting URL parameter for Qt plugins
    as content URLs.
  * Fix android build error about already defined struct.
  * Fix SpeculateCellOperand ASSERT failure in DFG for
    32-bit builds.
  * QtWebKitWidgets should not depend directly on QtQuick
  * QWebHitTestResult::element() should return
    the inner element
  * Specify location of CMake tests
  * Fix WebView crash when using gcc 4.9.
  * Fix debug builds of qtwebkit on linux-icc
  * Qt5WebKitWidgets should keep private dependencies private
  * Prevent crashes when the QWebView gets reparented.
  * Fix build with gcc 4.4
  * Add qtxmlpatters to sync.profile
  * GraphicsContext for Qt: add
    popTransparencyLayerInternal method.
  * Bump version
- Reduce general constraints to 4GB, and leave 7GB only for s390x
- Enable qtlocation integration
* Fri Aug 15 2014 behlert@suse.de
- _constraints modified: building requires 7GB on some platforms
  (e.g. s390x)
* Mon Jul 21 2014 mlin@suse.com
- Workaround ppc64le build failures due to OOM issue, hardcoded -j4
  jobs, found/fixed by Dinar Valeev(dvaleev@suse.com)
* Wed Jun 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.1
  * Bugfix release, for more details please see:
    http://blog.qt.digia.com/blog/2014/06/25/qt-5-3-1-released/
* Mon Jun  2 2014 hrvoje.senjan@gmail.com
- Add baselibs.conf
- Make private headers noarch
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Drop libudev BuildRequires, it's loaded on runtime
  (change made in commit 36321b9aaeedef1232d464d3dd7d03f39b7f7f37)
* Tue May 27 2014 hrvoje.senjan@gmail.com
- Build with pkgconfig(libudev), not pkgconfig(udev)
* Mon May 19 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 final
  * Minor bugfixes over previous RC
* Thu May  8 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 RC
  * For more details, please see
  http://blog.qt.digia.com/blog/2014/05/08/qt-5-3-release-candidate-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
* Wed Apr 23 2014 dmueller@suse.com
- fix build for aarch64
* Fri Apr  4 2014 fcrozat@suse.com
- Build with gstreamer 1.0 API for SLE12 also.
* Wed Apr  2 2014 hrvoje.senjan@gmail.com
- Build with gstreamer 1.0 API for 13.2 and newer
* Tue Mar 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 beta
  * New feature release, please see
  http://blog.qt.digia.com/blog/2014/03/25/qt-5-3-beta-released/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
- Drop aarch64-support.patch, dont-pollute-prl-and-pc-files.patch
  and fix-no-jit-build.patch: merged upstream
* Wed Feb 26 2014 hrvoje.senjan@gmail.com
- Added dont-pollute-prl-and-pc-files.patch from upstream - fixes
  issue where private dependencies (such as e.g. gstreamer) where
  marked as public
- As per patch, remove all external/private Requires of devel
  subpackages
* Wed Feb  5 2014 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * For more details please see:
    http://blog.qt.digia.com/blog/2014/02/05/qt-5-2-1-released/
- Remove libtool archives from packages
- Change aarch64-support.patch to upstream version (merged for 5.3)
* Tue Dec 17 2013 uweigand@de.ibm.com
- Add ppc64le-support.patch: Support powerpc64le-linux.
* Mon Dec 16 2013 hrvoje.senjan@gmail.com
- Make libqt5 BuildRequires packages naming consistent:
  use libqt5-$upstreammodulename-(devel, private-headers-devel)
- Remove ancient provides/obsoletes
- Create libqt5-qtwebkit-devel libqt5-qtwebkitprivate-headers-devel
  packages
* Thu Dec 12 2013 hrvoje.senjan@gmail.com
- Update to 5.2.0 final:
  * For more details please see:
    http://blog.qt.digia.com/blog/2013/12/12/qt-5-2-released-the-best-qt-yet/
    http://qt-project.org/qt5/qt52
    http://qt.digia.com/Product/Whats-New/Qt-52/
* Fri Nov 29 2013 hrvoje.senjan@gmail.com
- Update to 5.2 rc1
  * New feature release, please see
  http://blog.qt.digia.com/blog/2013/11/29/qt-5-2-release-candidate-1-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.2
- Drop pkgconfig(Qt5Multimedia) BuildRequires: Qt5Multimedia is used
  only if gstreamer is not used
* Thu Nov 28 2013 ro@suse.de
- fix-no-jit-build.patch:
  fix build on ppc and s390 by disabling JIT
* Fri Nov 15 2013 hrvoje.senjan@gmail.com
- Adjust 04_enable_debug_information.diff for more memory saving
- Remove libQt5Script-devel from both devel package Requires and
  BuildRequires, not needed
* Wed Oct 23 2013 hrvoje.senjan@gmail.com
- Update to 5.2 beta1
  * New feature release, please see
  http://blog.qt.digia.com/blog/2013/10/23/qt-5-2-beta-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.2
- Droped bison3.patch, included in this release
* Fri Oct 18 2013 hrvoje.senjan@gmail.com
- Added 03_hide_std_symbols.diff, 04_enable_debug_information.diff,
  aarch64-support.patch and reduce-link-optimization.diff -- those
  resolve linking/build failures on arm/aarch64
* Wed Oct 16 2013 hrvoje.senjan@gmail.com
- Change constrains, so it requires 5Gb of memory, instead of 4Gb
  physical memory
* Fri Oct  4 2013 hrvoje.senjan@gmail.com
- Drop the memory check from the spec, we are utilizing _constraints
  for that. Also reduce the processor constraint to 4.
* Tue Oct  1 2013 hrvoje.senjan@gmail.com
- Added bison3.patch, fixes build with bison3
- Postpone gstreamer 1.0 support for 13.2
* Thu Aug 29 2013 hrvoje.senjan@gmail.com
- Update to version 5.1.1:
  * Bugfix release, please see
  http://blog.qt.digia.com/blog/2013/08/28/qt-5-1-1-released/
  http://qt.gitorious.org/qt/qtwebkit/blobs/release/dist/changes-5.1.1
  and http://qt-project.org/wiki/Qt511KnownIssues for known issues
- Small spec cleanup
* Sat Aug  3 2013 tittiatcoke@gmail.com
- Adjust package naming according to openSUSE standards
* Sun Jul  7 2013 stephan.binner@basyskom.com
- update to Qt 5.1 release
* Tue Jun 18 2013 stephan.binner@basyskom.com
- update to Qt 5.1 RC 1
* Mon May 20 2013 stephan.binner@basyskom.com
- update to Qt 5.1 Beta 1
* Tue Apr  9 2013 stephan.binner@basyskom.com
- update to Qt 5.1 Alpha 1
* Wed Jan 30 2013 stephan.binner@basyskom.com
- update to Qt 5.0.1
* Wed Dec 19 2012 stephan.binner@basyskom.com
- update to Qt 5.0 release
* Thu Dec 13 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Release Candidate 2
* Thu Dec  6 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Release Candidate 1
* Thu Nov 15 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Beta 2
* Thu Aug 30 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Beta 1 release
* Thu May 24 2012 stephan.binner@basyskom.com
- update to newer Alpha snapshot / Beta candidate
* Fri Apr 13 2012 stephan.binner@basyskom.com
- rework package splitting for Qt 5 modularization
* Thu Apr  5 2012 dmueller@suse.com
- Initial packaging (Qt 5.0 Alpha)
